Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
polkit no se instala
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
Luciernaga
Guru
Guru


Joined: 05 Apr 2006
Posts: 378
Location: LANDETE (Cuenca)

PostPosted: Tue Mar 05, 2013 11:18 am    Post subject: polkit no se instala Reply with quote

Ya estoy atrancado otra vez con Gentoo y tengo varios frentes abiertos.
Ahora estoy con esta máquina:
Procesador Intel EM64T a 3.2GHz
Memoria RAM dos gigas DDR-800
Gráfica nVidia GeForce 9600GT
Almacenamiento 4 discos duros SATA de 200GB cada uno iguales preparados para RAID, pero configurados en estándar IDE
Instalado Windows XP Professional x64 Edition y Vista x64 Ultimate, cada sistema en disco diferente corriendo correctamente, lo menciono para constatar que el hardware funciona sin problemas.
Instalo Gentoo desde un CD minimal ~x86_64 y pasa la primera fase, reinicio la máquina y arranca, configuro la red para encaminador y conecta sin problemas, reinicio y actualizo con emerge --sync y luego con emerge --update --deep --newuse world y aborta cuando instala polkit-0.110, reinicio y ejecuto python-updater correctamente, vuelvo con emerge -uDNav world y ... aborta de nuevo otra vez.

/etc/portage/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=core2 -O2 -pipe"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="bindist mmx sse sse2 -gtk -gnome qt4 kde dvd alsa cdr dbus consolekit"
MAKEOPTS="-j2"
GENTOO_MIRRORS="http://gentoo-euetib.upc.es/mirror/gentoo/"
# GENTOO_MIRRORS="http://ftp.rnl.ist.utl.pt/pub/gentoo/gentoo-distfiles/"
# GENTOO_MIRRORS="ftp://de-mirror.org/gentoo/"
SYNC="rsync://rsync3.de.gentoo.org/gentoo-portage"
# SYNC="rsync://rsync.pt.gentoo.org/gentoo-portage"
INPUT_DEVICES="evdev"
LINGUAS="es"
FEATURES="parallel-fetch"
ACCEPT_LICENSE="*"
ALSA_CARDS="snd-ctxfi"
VIDEO_CARDS="vesa"


/boot/grub/grub.conf
# This is a sample grub.conf for use with Genkernel, per the Gentoo handbook
# http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=1&chap=10#doc_chap2
# If you are not using Genkernel and you need help creating this file, you
# should consult the handbook. Alternatively, consult the grub.conf.sample that
# is included with the Grub documentation.
default 0
timeout 30
splashimage=(hd3,0)/boot/grub/splash.xpm.gz
title Gentoo Linux 3.7.10-gentoo
root (hd3,0)
kernel /boot/kernel-genkernel-x86_64-3.7.10-gentoo root=/dev/ram0 init=/linuxrc ramdisk=8192 real_root=/dev/sdd3 vga=791
initrd /boot/initramfs-genkernel-x86_64-3.7.10-gentoo
title Windows
root (hd0,0)
makeactive
chainloader +1
# vim:ft=conf:


(polkit-0.110) es parte de build.log
libtool: link: x86_64-pc-linux-gnu-gcc -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -march=core2 -O2 -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -Wformat -Wformat-security -Wl,--as-needed -Wl,-O1 -Wl,--as-needed -o .libs/pkaction pkaction-pkaction.o -Wl,--export-dynamic -pthread ../../src/polkit/.libs/libpolkit-gobject-1.so -lgmodule-2.0 -lrt -lgio-2.0 -lgobject-2.0 -lglib-2.0 -pthread
/bin/sh ../../libtool --tag=CC --mode=link x86_64-pc-linux-gnu-gcc -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -march=core2 -O2 -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -Wformat -Wformat-security -Wl,--as-needed -Wl,-O1 -Wl,--as-needed -o pkttyagent pkttyagent-pkttyagent.o -Wl,--export-dynamic -lgmodule-2.0 -pthread -lrt -lgio-2.0 -lgobject-2.0 -lglib-2.0 ../../src/polkit/libpolkit-gobject-1.la ../../src/polkitagent/libpolkit-agent-1.la
libtool: link: x86_64-pc-linux-gnu-gcc -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -march=core2 -O2 -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -Wformat -Wformat-security -Wl,--as-needed -Wl,-O1 -Wl,--as-needed -o .libs/pkttyagent pkttyagent-pkttyagent.o -Wl,--export-dynamic -pthread ../../src/polkit/.libs/libpolkit-gobject-1.so ../../src/polkitagent/.libs/libpolkit-agent-1.so /var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110/src/polkit/.libs/libpolkit-gobject-1.so -lgmodule-2.0 -lrt -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lexpat -pthread
make[3]: se sale del directorio `/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110/src/programs'
make[3]: se ingresa al directorio `/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110/src'
make[3]: No se hace nada para `all-am'.
make[3]: se sale del directorio `/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110/src'
make[2]: se sale del directorio `/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110/src'
Making all in docs
make[2]: se ingresa al directorio `/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110/docs'
Making all in man
make[3]: se ingresa al directorio `/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110/docs/man'
/usr/bin/xsltproc -nonet --stringparam man.base.url.for.relative.links /usr/share/gtk-doc/html/polkit-1/ --xinclude http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl polkit.xml
/usr/bin/xsltproc -nonet --stringparam man.base.url.for.relative.links /usr/share/gtk-doc/html/polkit-1/ --xinclude http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl polkitd.xml
Error: no ID for constraint linkend: polkit.8.
make[3]: *** [polkit.8] Instrucción ilegal
make[3]: *** Se espera a que terminen otras tareas....
Error: no ID for constraint linkend: polkit.8.
Error: no ID for constraint linkend: pkaction.1.
Error: no ID for constraint linkend: pkcheck.1.
Error: no ID for constraint linkend: pkexec.1.
Error: no ID for constraint linkend: pkttyagent.1.
Note: Writing polkitd.8
make[3]: se sale del directorio `/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110/docs/man'
make[2]: *** [all-recursive] Error 1
make[2]: se sale del directorio `/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110/docs'
make[1]: *** [all-recursive] Error 1
make[1]: se sale del directorio `/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110'
make: *** [all] Error 2
* ERROR: sys-auth/polkit-0.110 failed (compile phase):
* emake failed
*
* If you need support, post the output of `emerge --info '=sys-auth/polkit-0.110'`,
* the complete build log and the output of `emerge -pqv '=sys-auth/polkit-0.110'`.
* The complete build log is located at '/var/tmp/portage/sys-auth/polkit-0.110/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-auth/polkit-0.110/temp/environment'.
* Working directory: '/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110'
* S: '/var/tmp/portage/sys-auth/polkit-0.110/work/polkit-0.110'


Esta es la última fase del archivo build.log que lo tengo renombrado a polkit-0.110 si fuera preciso ver más contenido lo puedo poner en Pastebin ...
Pregunto: ¿porqué no se quiere instalar, qué es lo que tengo mal?
Debo decir que en la otra máquina cliente (Phenom) que tengo siguiendo el mismo procedimiento con la instalación se ha instalado y corre perfectamente Gentoo, me falta instalar los drivers de Nvidia (emerge nvidia-drivers) que luego lo haré de momento ahora con una configuración VESA funciona correctamente.
Saludetes :)

PostData: Emitiendo el comando emerge -p sys-auth/polkit me devuelve lo siguiente ...
These are the packages that would be merged, in order:
Calculating dependencies ... done!
[ebuild N ] sys-auth/polkit-0.110 USE="introspection kde nls pam -examples -gtk (-selinux) (-systemd)"
[ebuild N ] sys-auth/consolekit-0.4.5_p20120320-r1 USE="acl pam (policykit) -debug -doc (-selinux) {-test}"
[ebuild R ] sys-auth/pambase-20101024-r2 USE="(consolekit*)"
[ebuild N ] sys-auth/polkit-qt-0.103.0 USE="-debug -examples"
[ebuild N ] sys-power/upower-0.9.19 USE="introspection -debug -doc -ios (-systemd)"
[ebuild N ] sys-fs/udisks-1.0.4-r4 USE="nls -debug -remote-access (-selinux)"
[ebuild N ] kde-base/kdelibs-4.9.5 USE="acl alsa bzip2 fam handbook mmx nls opengl (policykit) semantic-desktop spell sse sse2 ssl udev udisks upower -3dnow (-altivec) (-aqua) -debug -doc -jpeg2k -kerberos -lzma -openexr {-test} (-udisks2) (-upnp) -zeroconf"
[ebuild N ] sys-auth/polkit-kde-agent-0.99.0 USE="(-aqua) -debug" LINGUAS="es -ca -ca@valencia -cs -da -de -en_GB -eo -et -fi -fr -ga -gl -hr -hu -is -it -ja -km -lt -mai -ms -nb -nds -nl -pa -pt -pt_BR -ro -ru -sk -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -uk -zh_TW"
[ebuild N ] kde-base/katepart-4.9.5 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/nepomuk-core-4.9.5 USE="(-aqua) -debug"
[ebuild N ] kde-misc/polkit-kde-kcmodules-0.98_pre20120917 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdesu-4.9.5 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/khelpcenter-4.9.5 USE="(-aqua) -debug"

_________________
Soy como una diminuta luciérnaga, perdido en la inmensa oscuridad del universo.
Back to top
View user's profile Send private message
quilosaq
l33t
l33t


Joined: 22 Dec 2009
Posts: 840

PostPosted: Wed Mar 13, 2013 6:11 pm    Post subject: Re: polkit no se instala Reply with quote

Luciernaga wrote:
...
CFLAGS="-march=core2 -O2 -pipe"
...
Quizá sea mas adecuado CFLAGS="-march=pentium4 -O2 -pipe -fomit-frame-pointer"
http://en.gentoo-wiki.com/wiki/Safe_Cflags/Intel#Xeon_w.2Fo_EM64T
Back to top
View user's profile Send private message
Luciernaga
Guru
Guru


Joined: 05 Apr 2006
Posts: 378
Location: LANDETE (Cuenca)

PostPosted: Wed Mar 13, 2013 7:55 pm    Post subject: Reply with quote

Hola quilosaq ... gracias por responder ...
Bueno, tu comentario ya lo había sopesado ... pero como en el último manual que tengo descargado y actualizado el 12 de noviembre de 2012 pone en el capítulo 5.d. Configurando las opciones de compilación (Listado de Código 4.2: Definir las variables CFLAGS y CXXFlags) especifica con caracteres de color rojo que los usuarios de Intel EM64T deberán utilizar -march=core2 por eso lo tengo puesto, pero no se termina el tema ahí, en esta máquina siempre había utilizado el parámetro -march=nocona funcionando perfectamente y últimamente usaba -march=native sin que me hubiera dado algún problema destacable ... pero de repente la máquina (la placa base) se me ha puesto borde porque acusaba errores y fallos sin poder determinar su origen ... ella data de alrededor de 8 años de vida y he llegado a la conclusión de que la controladora SATA del chipset acusa su antigüedad provocando problemas ... en estos precisos momentos estoy inmerso en cambiar el hardware para comprobar si efectivamente el culpable del desaguisado es el Northbridge 925XE o el Southbridge ICH6R para manejar los cuatro disco duros que tenía instalados y ahora verificaré si con otro disco duro WD de comprobada eficacia se repiten los problemas ... de ser así no me toca otro remedio que jubilar la placa base y guardarla en el baúl de los recuerdos ... amén.

Los cuatro discos duros "iguales" funcionan correctamente y los he pasado a una máquina nueva Supermicro C2SBC-Q similar a la P5AD2-E Premium que en estos momentos estoy verificando sus componentes y dispositivos para luego intentar conseguir instalar Gentoo como servidor de repuesto al principal que tengo (una Tyan con dos CPUs Xeon y 24GB de memoria), en estos momentos no tengo claro como quedará la finalización del reciclaje por lo que actúo sobre la marcha y la disponibilidad de cualquier elemento que precise.

No se preocupen que cuando termine de solucionarlo tendrán alguna noticia. Gracias y saludetes :)
_________________
Soy como una diminuta luciérnaga, perdido en la inmensa oscuridad del universo.
Back to top
View user's profile Send private message
cameta
l33t
l33t


Joined: 04 Aug 2004
Posts: 695

PostPosted: Thu Mar 14, 2013 12:49 am    Post subject: Reply with quote

Prueba con el comando
emerge --resume --skipfirst
revdep-rebuild
Con esto saltas el paquetes problematicos. Una vez actualizado pruebas con el problematico ya que muchas veces el fallo esta en que faltaban paquetes.
_________________
Si algo falla LEE el jodido manual, Si sigue fallando LEE BIEN el jodido manual.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum